<?php

// Set tanggal awal
$tanggal_awal = date('d/m/Y');
$data = array("TANGGAL_AWAL" => $tanggal_awal);

// Menginisialisasi sesi cURL
$curl = curl_init();

// Menentukan URL API eksternal
$api_url = '103.255.241.146/api/d_reg_online/tampil_antrean_poliklinik'; // Ganti dengan URL API yang benar

// Mengatur opsi cURL
curl_setopt_array($curl, array(
    CURLOPT_URL => $api_url,  // URL tujuan
    CURLOPT_RETURNTRANSFER => true,  // Mengembalikan hasil transfer sebagai string
    CURLOPT_ENCODING => '',  // Mendukung semua encoding
    CURLOPT_MAXREDIRS => 10,  // Jumlah maksimal pengalihan
    CURLOPT_TIMEOUT => 0,  // Tidak ada batas waktu
    CURLOPT_FOLLOWLOCATION => true,  // Mengikuti header "Location"
    CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,  // Menggunakan HTTP versi 1.1
    CURLOPT_CUSTOMREQUEST => 'POST',  // Metode request adalah POST
    CURLOPT_POSTFIELDS => http_build_query($data),  // Data yang dikirim
    CURLOPT_HTTPHEADER => array(  // Mengatur header yang sesuai jika diperlukan
        'Content-Type: application/x-www-form-urlencoded'  // Mengatur Content-Type
    ),
));

// Menjalankan permintaan cURL dan menyimpan responsnya ke dalam variabel
$response = curl_exec($curl);

// Memeriksa jika ada error selama proses cURL
if (curl_errno($curl)) {
    echo 'Error:' . curl_error($curl);
} else {
    // Menampilkan respons dari API
    echo $response;
}

// Menutup sesi cURL
curl_close($curl);
?>